Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.security
Class AuditWriteOnlyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jivesoftware.openfire.security.AuditWriteOnlyException

All Implemented Interfaces:
  Serializable

    public class AuditWriteOnlyException

extends Exception

Thrown if a reading is not permitted with the configured SecurityAuditProvider.

Author:
  Daniel Henninger
See Also:
  Serialized Form

Constructor Summary
`AuditWriteOnlyException()`
`AuditWriteOnlyException(String message)`
`AuditWriteOnlyException(String message, Throwable cause)`
`AuditWriteOnlyException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuditWriteOnlyException

    public AuditWriteOnlyException()

### AuditWriteOnlyException

    public AuditWriteOnlyException(String message)

### AuditWriteOnlyException

    public AuditWriteOnlyException(Throwable cause)

### AuditWriteOnlyException

    public AuditWriteOnlyException(String message,
                                   Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.